// Roboterkopf
// Bounding-Box: <-0.30, -0.25, -0.20>, <0.30, 0.20, 0.20>
// Blickrichtung -z

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "glass.inc"

#declare A = 0.2
#declare B = 0.25
#declare C = 0.2
#declare D = 0.15
#declare E = 0.10
#declare F = 0.10
#declare G = 0.01

#declare H = A*1.0

#declare T_glas_schwarz =
    texture {
	pigment {
	    color rgbf <0.1, 0.1, 0.1, 0.2>
	}
	finish {
	    F_Glass3
	}
    }
	    
#include "T_metall_schwarz.pov"

	    
#declare auge_neg = 
    intersection {
	box {
	    <-H, -F, -A>,
	    <-G, 0, -A*0.6>
	}
	sphere {
	    <0, 0, 0>, 1
	    scale <H-G, F, A*0.4>
	    translate <-G, 0, -A>
	}
	texture {T_metall_schwarz}

    }

#declare auge = 
    intersection {
	box {
	    <-H, -F, -A>,
	    <-G, 0, -A*0.6>
	}
	sphere {
	    <0, 0, 0>, 1
	    scale <(H-G)/4, F/3, A*0.2>
	    translate <-(H+G)/3, -F/2, -A*0.6>
	}
	texture {T_glas_schwarz}

    }

#declare antenne =
    union {
	box {
	    <0, 0, -0.02>
	    <0.1, 0.02, 0.02>
	}
	cone {
	    <0, 0.01, -0.02>, 0.01,
	    <0.1, 0.01, -0.02>, 0.01
	}
	cone {
	    <0, 0.01, 0.02>, 0.01,
	    <0.1, 0.01, 0.02>, 0.01
	}
	cone {
	    <0, 0.00, 0.00>, 0.01,
	    <0.1, 0.00, 0.00>, 0.00
	}
	torus {
	    0.01, 0.01
	    translate <0.1, 0.01, 0>
	}
	cone {
	    <0.1, 0.00, 0.00>, 0.01,
	    <0.1, 0.03, 0.00>, 0.005
	}
	cone {
	    <0.1, 0.03, 0.00>, 0.003
	    <0.1, 0.20, 0.00>, 0.002
	}
	sphere {
	    <0.1, 0.2, 0>, 0.005
	}
	translate <A-0.01, 0, 0>
	texture {T_metall_schwarz}
    }
	
#declare kopf = 
union {
    difference {
	union {
	    sphere { <0,0,0>, A
	    }
	    difference {
		cone {
		    <0, -B, 0>, A, 
		    <0, +0, 0>, A
		}
		cone {
		    <0, 0, -1>, 1,
		    <0, 0, +1>, 1
		    scale <D, C, A>
		    translate <-A, -B, 0>
		}
		cone {
		    <0, 0, -1>, 1,
		    <0, 0, +1>, 1
		    scale <D, C, A>
		    translate <+A, -B, 0>
		}
		cone {
		    <-1, 0, -0>, 1,
		    <+1, 0, +0>, 1
		    scale <A, E, D>
		    translate <+0.0, -B, 0>
		}
		box {
		    <-A, -B, -0>,
		    <+A, 0, +A>
		}
	    }
	}
	object { auge_neg }
	object { auge_neg scale <-1, 1, 1>}

	union {
	    box {
		<-0.005, -0.03, 0>
		< 0.005,  0.03, 0.02>
		translate <-0.03, -A, -A>
	    }
	    box {
		<-0.005, -0.03, 0>
		< 0.005,  0.03, 0.02>
		translate <-0.01, -A, -A>
	    }
	    box {
		<-0.005, -0.03, 0>
		< 0.005,  0.03, 0.02>
		translate <+0.01, -A, -A>
	    }
	    box {
		<-0.005, -0.03, 0>
		< 0.005,  0.03, 0.02>
		translate <+0.03, -A, -A>
	    }
	}

	//texture {pigment {color rgbf<1,1,1,0.5>} finish {F_Glass3}}
	texture {T_metall_schwarz}
    }
    object { auge }
    object { auge scale <-1, 1, 1>}

    object { antenne }
    object { antenne scale <-1, 1, 1>}
}
