#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "glass.inc"

#declare A = 0.2
#declare B = 0.25
#declare C = 0.2
#declare D = 0.15
#declare E = 0.10
#declare F = 0.10
#declare G = 0.01

#declare H = A*1.0

#declare T_glas_schwarz =
    texture {
	pigment {
	    color rgbf <0.1, 0.1, 0.1, 0.2>
	}
	finish {
	    F_Glass3
	}
    }
	    
#declare T_metall_schwarz =
    texture {
	pigment {
	    color rgbf <0.1, 0.1, 0.1, 0.0>
	}
	finish {
	    F_MetalB
	}
    }
    

#declare torso = 
union {
    intersection {
	box {
	    <-30, -60, -15>
	    <30, 0, 15>
	}
	sphere { 
	    <0, 0, 0>, 1
	    scale <30, 90, 15>
	}
    }
    sphere { 
	<0, 0, 0>, 1
	scale <30, 5, 15>
    }
    text {
	ttf
	"crystal.ttf"
	"KR-479"
	1,
	<0, 0, 0>
	texture { T_Gold_3C }
	scale 10
	translate <-15, -30, -15>
    }

    #declare i = -80
    #while (i <= -60) 
	torus {
	    10, 3
	    translate <0, i, 0>
	    texture {T_metall_schwarz}
	}
	#declare i = i + 5
    #end

    intersection {
	box {
	    <-25, -10, -10>
	    <25, 10, 10>
	}
	sphere { 
	    <0, 0, 0>, 1
	    scale <30, 10, 10>
	}
	translate <0, -90, 0>
    }

    scale 0.01
    texture {T_metall_schwarz}
}
